ECOPCR(1)

NAME
ecoPCR - searching for sequence and taxonomy hybriding with given primers

SYNOPSIS
ecoPCR [options] <nucleotidic patterns>

DESCRIPTION
ecoPCR is an electronic PCR software developed by LECA and Helix-Project. It helps to estimate Barcode primers quality.

OPTIONS

-a    : Salt concentration in M for Tm computation (default 0.05 M)

-c    : Consider that the database sequences are [c]ircular

-d    : [D]atabase : to match the expected format, the database
    has to be formatted first by the ecoPCRFormat(1) program. ecoPCRFormat(1) creates three file types:

    .sdx : contains the sequences

    .tdx : contains information concerning the taxonomy

    .rdx : contains the taxonomy rank

    ecoPCR needs all the file type. As a result, you have to write the database radical without any extension. For example /ecoPCRDB/gbmam

-D    : Keeps the specified number of nucleotides on each side of the in silico
    amplified sequences (including the amplified DNA fragment plus the two target sequences of the primers).

-e    : [E]rror : max errors allowed by oligonucleotide (0 by default)

-h    : [H]elp - print <this> help

-i    : [I]gnore the given taxonomy id.
    Taxonomy id are available using the ecofind program. see its help typing ecofind -h for more information.

-k    : [K]ingdom mode : set the kingdom mode
    super kingdom mode by default.

-l    : minimum [L]ength : define the minimum amplication length.

-L    : maximum [L]ength : define the maximum amplicationlength.

-m    : Salt correction method for Tm computation (SANTALUCIA : 1
    or OWCZARZY:2, default=1)

-r    : [R]estricts the search to the given taxonomic id.
    Taxonomy id are available using the ecofind program. see its help typing ecofind -h for more information.

first argument : oligonucleotide for direct strand

second argument : oligonucleotide for reverse strand

Table result description :

column 1 : accession number

column 2 : sequence length

column 3 : taxonomic id

column 4 : rank

column 5 : species taxonomic id

column 6 : scientific name

column 7 : genus taxonomic id

column 8 : genus name

column 9 : family taxonomic id

column 10 : family name

column 11 : super kingdom taxonomic id

column 12 : super kingdom name

column 13 : strand (direct or reverse)

column 14 : first oligonucleotide

column 15 : number of errors for the first strand

column 16 : Tm for hybridization of primer 1 at this site

column 17 : second oligonucleotide

column 18 : number of errors for the second strand

column 19 : Tm for hybridization of primer 1 at this site

column 20 : amplification length

column 21 : sequence

column 22 : definition

SEE ALSO
http://www.grenoble.prabi.fr/trac/ecoPCR/